TimeoutThread
Date: 2019-10-22

org.jmol.thread

## Class TimeoutThread

- java.lang.Object
- - java.lang.Thread
  - - org.jmol.thread.JmolThread
    - - org.jmol.thread.TimeoutThread

- All Implemented Interfaces:
    java.lang.Runnable

      public class TimeoutThread
      extends JmolThread

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `script`
    `private int` | `status`
    `private boolean` | `triggered`

    - ### Fields inherited from class org.jmol.thread.JmolThread

      `CHECK1, CHECK2, CHECK3, currentTime, eval, FINISH, haveReference, hoverEnabled, INIT, isJS, isReset, junk, lastRepaintTime, MAIN, name, sc, sleepTime, startTime, stopped, targetTime, useTimeout, vwr`

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimeoutThread(Viewer vwr, java.lang.String name, int ms, java.lang.String script)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `clear(java.util.Map<java.lang.String,java.lang.Object> timeouts)`
    `protected void` | `run1(int mode)`
    `private void` | `set(int ms, java.lang.String script)`
    `static void` | `setTimeout(Viewer vwr, java.util.Map<java.lang.String,java.lang.Object> timeouts, java.lang.String name, int mSec, java.lang.String script)`
    `static java.lang.String` | `showTimeout(java.util.Map<java.lang.String,java.lang.Object> timeouts, java.lang.String name)`
    `java.lang.String` | `toString()`
    `static void` | `trigger(java.util.Map<java.lang.String,java.lang.Object> timeouts, java.lang.String name)`

    - ### Methods inherited from class org.jmol.thread.JmolThread

      `checkInterrupted, interrupt, oops, reset, resumeEval, run, runSleep, setEval, setManager, setViewer, start`

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, stop, stop, suspend, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### script

          public java.lang.String script

    - #### status

          private int status

    - #### triggered

          private boolean triggered

  - ### Constructor Detail

    - #### TimeoutThread

          public TimeoutThread(Viewer vwr,
                               java.lang.String name,
                               int ms,
                               java.lang.String script)

      Parameters:
        `vwr` -
        `name` -
        `ms` -
        `script` -

  - ### Method Detail

    - #### set

          private void set(int ms,
                           java.lang.String script)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Thread`

    - #### run1

          protected void run1(int mode)
                       throws java.lang.InterruptedException

      Specified by:
        `run1` in class `JmolThread`
      Throws:
        `java.lang.InterruptedException`

    - #### clear

          public static void clear(java.util.Map<java.lang.String,java.lang.Object> timeouts)

    - #### setTimeout

          public static void setTimeout(Viewer vwr,
                                        java.util.Map<java.lang.String,java.lang.Object> timeouts,
                                        java.lang.String name,
                                        int mSec,
                                        java.lang.String script)

    - #### trigger

          public static void trigger(java.util.Map<java.lang.String,java.lang.Object> timeouts,
                                     java.lang.String name)

    - #### showTimeout

          public static java.lang.String showTimeout(java.util.Map<java.lang.String,java.lang.Object> timeouts,
                                                     java.lang.String name)